register_security
Prev | Chapter 14. Security Framework | Next

## Name

register_security — registers a security framework with the kernel

## Synopsis

`int register_security (` | struct security_operations * | ops`)`;

## Arguments

`ops`

  a pointer to the struct security_options that is to be registered

## Description

This function is to allow a security module to register itself with the kernel security subsystem. Some rudimentary checking is done on the `ops` value passed to this function. A call to `unregister_security` should be done to remove this security_options structure from the kernel.

If there is already a security module registered with the kernel, an error will be returned. Otherwise 0 is returned on success.

Prev | Up | Next
Chapter 14. Security Framework | Home | unregister_security